#!/bin/sh

SCRIPTPATH="${0%/*}"
cd ${SCRIPTPATH}
APPPATH="$(pwd)"

#-------const define beg---------
TMPPATH="/tmp/.owapp"
LOGPATH="${TMPPATH}/owapp.log"
BINPATH="${APPPATH}/bin"
MONITORNAME="owapp_monitor"
BINNAME="owapp"
#-------const define beg---------

logger() {
	time=`date "+%Y-%m-%d %H:%M:%S"`
	echo "${time} [pid $$] $*" >> "${LOGPATH}"
}

init_env() {
    [ -d "${TMPPATH}" ] || mkdir ${TMPPATH}
    [ -d "${BINPATH}" ] || mkdir ${BINPATH}
}

start() {
    owpid="$(ps -ef | grep ${MONITORNAME} | grep -v grep | awk '{print $2}')"
    if [ -z "${owpid}" ]; then
        logger "start ${MONITORNAME}"
        chmod +x ${BINPATH}/${MONITORNAME}
        /bin/sh  ${BINPATH}/${MONITORNAME} > /dev/null 2>&1 &
    fi
}

init_env
start

( sleep 3; ${BINPATH}/${BINNAME} --rpt=start ) &
exit 0

