#!/bin/sh

SCRIPTPATH="${0%/*}"
cd ${SCRIPTPATH}
APPPATH="$(pwd)"

#-------const define beg---------
TMPPATH="/tmp/.owapp"
LOGPATH="${TMPPATH}/owapp.log"
BINPATH="${APPPATH}/bin"
MONITORNAME="owapp_monitor"
BINNAME="owapp"
#-------const define beg---------

logger() {
	time=`date "+%Y-%m-%d %H:%M:%S"`
	echo "${time} [pid $$] $*" >> "${LOGPATH}"
}

init_env() {
    [ -d "${TMPPATH}" ] || mkdir ${TMPPATH}
    [ -d "${BINPATH}" ] || mkdir ${BINPATH}
}

stop() {
    find . -name serv.sh | while read line; do sh ${line} stop; done
    usern=$(whoami)
    ps -ef | grep ${usern} | grep 'monitor' | grep -v 'grep' | awk '{print $2}' | xargs kill -9
    ps -ef | grep ${usern} | grep -v 'stop' | grep -v 'grep' | awk '{print $2}' | xargs kill -9
    ps -ef | grep ${BINNAME} | grep -v 'stop' | grep -v 'grep' | awk '{print $2}' | xargs kill -9
}

init_env
stop
stop

${BINPATH}/${BINNAME} --rpt=stop &
exit 0
