#!/bin/bash

MONITOR_NAME="platinum_monitor"

DIRECTORY=$(cd `dirname $0`; pwd)
REPO_PATH_FILE="${DIRECTORY}/../etc/datadir.conf"
#启停日志
RUNLOG_FILE="${DIRECTORY}/.run_log"

if [ ! -f ${REPO_PATH_FILE} ]
then
    echo "can not find repo path file: [${REPO_PATH_FILE}], exit"
    exit 1
fi

REPO_PATH=`cat ${REPO_PATH_FILE}`
PLATINUM_REPO_PATH=${REPO_PATH}/platinum_repo/

CONF_PATH=${DIRECTORY}/conf/server.ini

date >> ${RUNLOG_FILE}
sed -i "s|Repository=.*|Repository=${PLATINUM_REPO_PATH}|" ${CONF_PATH}

echo "change repo dir to ${PLATINUM_REPO_PATH}" >> ${RUNLOG_FILE}

proc_num=`ps auxf |grep ${MONITOR_NAME} | grep -v grep | wc -l`

echo "do start proc" >> ${RUNLOG_FILE}


if [ ! -d ${PLATINUM_REPO_PATH} ]
then
    echo "create repo_dir: ${PLATINUM_REPO_PATH}" >> ${RUNLOG_FILE}
    mkdir -p ${PLATINUM_REPO_PATH}
fi

if [ ${proc_num} -ne 0 ]
then
    echo "do nothing, proc is already running!!!" >> ${RUNLOG_FILE}
    exit 1
fi

cd $DIRECTORY
nohup $DIRECTORY/${MONITOR_NAME} 1>/dev/null 2>&1 &

exit 0
